Subject: Re: [Emailcore] Delivered-To issues

From: "John R Levine" <[email-masked]>
Date: 1 Jan 2021 20:25:11 -0500

>>> 1.  Why a separate header field, rather than Received's FOR clause?
>> What jck said, the mailbox into which a message is delivered often has
>> a different name from what was in the RCPT TO.  That's particularly
>> likely on systems that handle mail for multiple domains.
>
> with apologies to all, for my reading comprehension, limitations, but would 
> someone point to the place in RFC 5321 where the semantics of the FOR clause 
> are explained, and especially in terms of it's coming from a RCPT TO?

I don't think it does.  Section 4.4 says it contains one path even if 
there are multiple RCPT commands, 7.2 says sort of indirectly not to put 
blind recipient addresses into the received header, 7.6 reiterates the 
blind recipient stuff.

On the other hand I think it is clear from context that the FOR clause is 
supposed to contain a RCPT TO argument, with considerable ambigiuity which 
one to use if there were several recipients, and whether to include it at 
all.

The stuff in 7.2 and 7.6 seems to be saying to look at the message header 
and only include the FOR if it matches one of the header recipients, but 
ugh.

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly

---

From: John C Klensin <[email-masked]>
Date: Fri, 01 Jan 2021 21:54:07 -0500

--On Friday, January 1, 2021 20:25 -0500 John R Levine
<[email-masked]> wrote:

>...
> The stuff in 7.2 and 7.6 seems to be saying to look at the
> message header and only include the FOR if it matches one of
> the header recipients, but ugh.

FWIW, especially given the other text in the document that
strongly discourages looking at and interpreting the message
header, I don't read those sections that way.  Instead, I can
read them as making a strong case that, if multiple RCPT
commands have been [successfully ?] processed, putting in a FOR
clause is just a bad idea.    Which brings me to the next
obvious question: should we just go ahead and say that in 7.2
(or in the text about semantics that I hope to see soon).  And,
if we do that, should we just lose the last sentence of 7.6 or
change it to discuss other information that might go into FOR
but be sensitive?

  john